Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.util.security.action
Class GetBooleanAction

    java.lang.Object
      edu.emory.mathcs.util.security.action.GetBooleanAction

All Implemented Interfaces:
  java.security.PrivilegedAction

public class GetBooleanAction
extends java.lang.Object
implements java.security.PrivilegedAction

A convenience class for retrieving the boolean value of a system property as a privileged action.

See Also:
  `PrivilegedAction`, `AccessController`

Constructor Summary
`GetBooleanAction(java.lang.String prop)` Constructor that takes the name of the system property whose boolean value needs to be determined.
`GetBooleanAction(java.lang.String prop, boolean defaultVal)` Constructor that takes the name of the system property whose boolean value needs to be determined and a default value to use when property is not set.

Method Summary
`java.lang.Object` | `run()` Determines the boolean value of the system property whose name was specified in the constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetBooleanAction

    public GetBooleanAction(java.lang.String prop)

  Constructor that takes the name of the system property whose boolean value needs to be determined.

Parameters:
  `prop` - the name of the system property

### GetBooleanAction

    public GetBooleanAction(java.lang.String prop,
                            boolean defaultVal)

  Constructor that takes the name of the system property whose boolean value needs to be determined and a default value to use when property is not set.

Parameters:
  `prop` - the name of the system property
  `defaultVal` - default value

Method Detail

### run

    public java.lang.Object run()

  Determines the boolean value of the system property whose name was specified in the constructor.

  Specified by:
    `run` in interface `java.security.PrivilegedAction`
  Returns:
    the `Boolean` value of the property.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD